aboutsummaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorSébastien Dailly <sebastien@chimrod.com>2021-11-14 20:42:34 +0100
committerSébastien Dailly <sebastien@chimrod.com>2021-11-15 08:29:49 +0100
commit8f86f098b6ea868f8d98b4d26df8382dc4047c81 (patch)
tree1ef66b6243eb504b23d3739a47b923cc7d90f5c7 /build.sh
Inital commit
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..7b61baa
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+usage() {
+ echo "usage: BUILDROOT_DIR=${BUILDROOT_DIR} $0 {boardname} all"
+ echo
+ echo "with boardname in"
+ echo " - raspberrypi0w"
+ echo " - raspberrypi3"
+}
+
+test -z ${BUILDROOT_DIR} && BUILDROOT_DIR=../buildroot
+
+if [ ! -d ${BUILDROOT_DIR} ]; then
+ usage
+ echo
+ echo "Error: the path to buildroot \"${BUILDROOT_DIR}\" does not exists"
+ exit 1
+fi
+
+export BOARDNAME=$1
+
+case "$BOARDNAME" in
+ raspberrypi0w)
+ ;;
+ raspberrypi3)
+ ;;
+ *)
+ usage
+ echo
+ echo "Error: unknown card \"$1\""
+ exit 1
+ ;;
+esac
+
+# Merge custom buildroot configurations
+CONFIG_="BR2" KCONFIG_CONFIG="configs/${BOARDNAME}_defconfig" "$BUILDROOT_DIR/support/kconfig/merge_config.sh" -m -r "${BUILDROOT_DIR}/configs/${BOARDNAME}_defconfig" configs/config
+sed "1i ### DO NOT EDIT, this file was automatically generated\n" -i "configs/${BOARDNAME}_defconfig"
+
+## Create full buildroot configuration
+BR2_EXTERNAL="$(pwd)" make O="$(pwd)/output/$BOARDNAME" -C "$BUILDROOT_DIR" "${BOARDNAME}_defconfig"
+
+# Build
+BR2_EXTERNAL="$(pwd)" make O="$(pwd)/output/${BOARDNAME}" -C ${BUILDROOT_DIR} "$2"